# coding: utf-8

from __future__ import annotations
from datetime import date, datetime  # noqa: F401

import re  # noqa: F401
from typing import Any, Dict, List, Optional  # noqa: F401

from pydantic import AnyUrl, BaseModel, EmailStr, Field, validator  # noqa: F401


class Fruit(BaseModel):
    """NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).

    Do not edit the class manually.

    Fruit - a model defined in OpenAPI

        name: The name of this Fruit.
        quantity: The quantity of this Fruit.
        price: The price of this Fruit.
        expiry_date: The expiry_date of this Fruit.
    """

    name: str = Field(alias="name")
    quantity: int = Field(alias="quantity")
    price: float = Field(alias="price")
    expiry_date: str = Field(alias="expiry_date")

Fruit.update_forward_refs()
